Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155344 - add fix for IPMI/ACPI OOPS
Summary: add fix for IPMI/ACPI OOPS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 154907 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-19 11:29 UTC by Karsten Hopp
Modified: 2018-10-20 02:29 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:01:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Karsten Hopp 2005-04-19 11:29:24 UTC
Description of problem:
http://sourceforge.net/mailarchive/forum.php?thread_id=6967907&forum_id=14082
> I meet an OOPs when loading si driver on a HP CX2600 machine with Red Hat 
> Enterprise Linux AS release 4(2.6.9). It seems we get a zero 
> register_bit_width  and a invalid address after acpi_get_firmware_table.
> The ACPI guys gave out a patch for it as follows.
--- a/drivers/char/ipmi/ipmi_si_intf.c	2005-03-03 10:56:51.000000000 +0800
 +++ b/drivers/char/ipmi/ipmi_si_intf.c	2005-03-17 16:34:32.478606080 +0800
 @@ -1466,6 +1466,11 @@ static int try_init_acpi(int intf_num, s
  	if (!is_new_interface(-1, addr_space, spmi->addr.address))
  		return -ENODEV;
  
 +	if (!spmi->addr.register_bit_width) {
 +		acpi_failure = 1;
 +		return -ENODEV;
 +	}
 +
  	/* Figure out the interface type. */
  	switch (spmi->InterfaceType)
  	{


Version-Release number of selected component (if applicable):
kernel < 2.6.11

Comment 1 Brian Maly 2005-06-02 20:59:50 UTC
patch posted 6/2/2005  (pending approval)

Comment 2 Brian Maly 2005-06-14 20:32:36 UTC
devel ACK for U2

Comment 4 Brian Maly 2005-07-25 19:18:01 UTC
the following patch was posted to rhkernel (which resolves this issue):


--- linux-2.6.9/drivers/char/ipmi/ipmi_si_intf.c.orig	2005-06-02
15:59:39.274561784 -0400
+++ linux-2.6.9/drivers/char/ipmi/ipmi_si_intf.c	2005-06-02 16:01:12.000000000 -0400
@@ -1466,6 +1466,11 @@ static int try_init_acpi(int intf_num, s
 	if (!is_new_interface(-1, addr_space, spmi->addr.address))
 		return -ENODEV;
 
+	if (!spmi->addr.register_bit_width) {
+		acpi_failure = 1;
+		return -ENODEV;
+	}
+
 	/* Figure out the interface type. */
 	switch (spmi->InterfaceType)
 	{



Comment 7 David Lawrence 2005-08-09 18:45:23 UTC
Is bug 165466 related to this?

Comment 8 Brian Maly 2005-08-09 18:51:41 UTC
bug 165466 appears to be a duplicate of this bug (based on the symptoms anyway).
the -11.41.EL kernel should fix this issue



Comment 10 Red Hat Bugzilla 2005-10-05 13:01:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.